<?php

/*
	Get categories
*/
$categories = get_categories('hide_empty=0&orderby=name');
$wp_cats = array(
	0		=> "یک دسته انتخاب کنید"
);
foreach ($categories as $category_list ) {
       $wp_cats[$category_list->cat_ID] = $category_list->cat_name;
}


/*
	Begin pages
*/
/*$pages = get_pages(array('parent' => -1));
$wp_pages = array(
	0		=> "Choose a page",
);
foreach ($pages as $page_list ) {
	$template_name = get_post_meta( $page_list->ID, '_wp_page_template', true );
	
	//exclude contact template
	if($template_name != 'contact.php')
	{
       $wp_pages[$page_list->ID] = $page_list->post_title;
    }
}*/


$wp_pages = array(
	'blog-1' => 'آخرین مطالب 1 ستون',	
	'blog-2' => 'آخرین مطالب 2 ستون',	
);

foreach ($categories as $category_list ) {
    $wp_pages['cat-'.$category_list->cat_ID] = $category_list->cat_name.' دسته';
}

/*
	Begin creating admin options
*/

$options = array (
 
//Begin admin header
array( 
		"name" => THEMENAME." Options",
		"type" => "title"
),
//End admin header
 

//Begin first tab "General"
array( 
		"name" => "General",
		"type" => "section",
		"icon" => "gear.png",
),

array( "type" => "open"),

array( "name" => "<h2>تصاویر وبسایت</h2>آدرس عکس لوگو شما",
	"id" => SHORTNAME."_logo",
	"type" => "image",
	"std" => "",
),
array( "name" => "فاوآیکون",
	"id" => SHORTNAME."_favicon",
	"type" => "image",
	"std" => "",
),
array( "name" => "<h2>تنظیمات پیشرفته</h2>کد آمار گوگل",
	"id" => SHORTNAME."_ga_code",
	"type" => "textarea",
	"std" => ""

),
array( "name" => "Css دلخواه",
	"id" => SHORTNAME."_custom_css",
	"type" => "textarea",
	"std" => ""
),
array( "name" => "فعال کردن حالت رسپانسیو",
	"desc" => "در این حالت سایت شما برای گوشی ها ، تبلت ها و ... نیز آماده خواهد شد.",
	"id" => SHORTNAME."_advance_enable_responsive",
	"type" => "iphone_checkboxes",
	"std" => 1
),

array( "name" => "فعال کردن سوییچر استایل",
	"id" => SHORTNAME."_advance_enable_switcher",
	"type" => "iphone_checkboxes",
	"std" => 1
),
	
array( "type" => "close"),
//End first tab "General"


//Begin fifth tab "Advertisement"
array( 
	"name" => "Advertisement",
	"type" => "section",
	"icon" => "ads.png",
),
array( "type" => "open"),
	
array( "name" => "کد بنر 468x60 بالای سایت",
	"desc" => "",
	"id" => SHORTNAME."_top_banner",
	"type" => "textarea",
	"std" => ""
),

array( "type" => "close"),
//End fifth tab "Advertisement"


//Begin first tab "Colors"
array( 
		"name" => "Color-Styles",
		"type" => "section",
		"icon" => "color.png",
)
,

array( "type" => "open"),

array( "name" => "استایل اسلایدر",
	"desc" => "",
	"id" => SHORTNAME."_slider_style",
	"type" => "radio",
	"options" => array(
		'small' => '<div style="float:left;width:200px;height:142px;"><img class="border" src="'.get_bloginfo( 'stylesheet_directory' ).'/functions/slide_style1.png" style="width:200px;"/></div>',
		'full' => '<div style="float:left;width:200px;height:142px;"><img class="border" src="'.get_bloginfo( 'stylesheet_directory' ).'/functions/slide_style2.png" style="width:200px;"/></div>',
	),
),

array( "name" => "رنگ کلی سایت",
	"id" => SHORTNAME."_skin",
	"type" => "colorpicker",
	"size" => "60px",
	"std" => "#E16020"

),

array( "type" => "close"),
//End first tab "Colors"


//Begin second tab "Homepage"
array( 
	"name" => "HomePage",
	"type" => "section",
	"icon" => "home.png",
),
array( "type" => "open"),

array( "name" => "<h2>تنظیمات مطالب</h2>صفحات مورد نظر خود را که قرار است در صفحه اول قرار گیرد را انتخاب نمایید مرتب کنید",
	"sort_title" => "مدیریت مطالب صفحه اول",
	"desc" => "",
	"id" => SHORTNAME."_homepage_content",
	"type" => "sortable",
	"options" => $wp_pages,
	"std" => ''
),
array( "name" => "<h2>تنظیمات اسلایدر</h2>فعال/غیر فعال کردن اسلایدر مطالب شاخص",
	"desc" => "",
	"id" => SHORTNAME."_enable_featured",
	"type" => "iphone_checkboxes",
	"std" => 1
),
array( "name" => "دسته مطالب شاخص صفحه اول",
	"id" => SHORTNAME."_featured_cat",
	"type" => "select",
	"options" => $wp_cats,
	"std" => "انتخاب کنید"
),
array( "name" => "تعداد مطالب اسلایدر",
	"id" => SHORTNAME."_slider_items",
	"type" => "jslider",
	"size" => "40px",
	"std" => "5",
	"from" => 1,
	"to" => 20,
	"step" => 1,
),
array( "name" => "تایمر اسلایدر بر حسب ثانیه",
	"id" => SHORTNAME."_slider_timer",
	"type" => "jslider",
	"size" => "40px",
	"std" => "5",
	"from" => 1,
	"to" => 20,
	"step" => 1,
),

array( "type" => "close"),
//End second tab "Homepage"


//Begin second tab "Blog"
array( 
	"name" => "Weblog",
	"type" => "section",
	"icon" => "book-open-bookmark.png",
),
array( "type" => "open"),

array( "name" => "<h2>تنظیمات مطالب مهم</h2>فعال/غیر فعال کردن مطالب مهم ",
	"desc" => "",
	"id" => SHORTNAME."_enable_breaking",
	"type" => "iphone_checkboxes",
	"std" => 1
),
array( "name" => "دسته مطالب مهم",
	"desc" => "",
	"id" => SHORTNAME."_breaking_cat",
	"type" => "select",
	"options" => $wp_cats,
	"std" => "انتخاب نمایید"
),
array( "name" => "تعداد مطالب قابل نمایش در قسمت مطالب مهم",
	"id" => SHORTNAME."_breaking_items",
	"type" => "jslider",
	"size" => "40px",
	"std" => "5",
	"from" => 1,
	"to" => 20,
	"step" => 1,
),
array( "name" => "<h2>تنظیمات رتبه</h2>فعال/غیر فعال کردن ماژول رتبه بندی مطالب",
	"desc" => "",
	"id" => SHORTNAME."_enable_rating",
	"type" => "iphone_checkboxes",
	"std" => 1
),
array( "name" => "<h2>دیگر تنظیمات</h2>نوع صفحات آرشیو ها ، دسته ها ، برچسب ها را تعیین کنید",
	"desc" => "",
	"id" => SHORTNAME."_blog_layout",
	"type" => "select",
	"options" => array(
		1 => '1 Column',
		2 => '2 Columns',
	),
	"std" => 'fade'
),
array( "name" => "فعال/غیر فعال کردن دکمه های اشتراک گزاری",
	"desc" => "",
	"id" => SHORTNAME."_blog_display_social",
	"type" => "iphone_checkboxes",
	"std" => 1
),
array( "name" => "نمایش ماژول درباره نویسنده",
	"id" => SHORTNAME."_blog_display_author",
	"type" => "iphone_checkboxes",
	"std" => 1
),
array( "name" => "نمایش ماژول مطالب مرتبط",
	"id" => SHORTNAME."_blog_display_related",
	"type" => "iphone_checkboxes",
	"std" => 1
),
array( "name" => "فعال/غیر فعال کردن تصویر شاخص در قسمت ادامه مطلب ",
	"desc" => "",
	"id" => SHORTNAME."_blog_single_img",
	"type" => "iphone_checkboxes",
	"std" => 1
),
array( "type" => "close"),
//End second tab "Blog"

//Begin fifth tab "Social Profiles"
array( 	"name" => "Social-Profiles",
		"type" => "section",
		"icon" => "social.png",
),
array( "type" => "open"),
	
array( "name" => "نام صفحه فیس بوک سایت",
	"desc" => "",
	"id" => SHORTNAME."_facebook_username",
	"type" => "text",
	"std" => "themekade.ir"
),
array( "name" => "نام کاربری شما در توئیتر",
	"desc" => "",
	"id" => SHORTNAME."_twitter_username",
	"type" => "text",
	"std" => ""
),
array( "name" => "لینک صفحه گوگل پلاس",
	"desc" => "",
	"id" => SHORTNAME."_google_username",
	"type" => "text",
	"std" => ""
),
array( "name" => "نام کاربری Flickr",
	"desc" => "",
	"id" => SHORTNAME."_flickr_username",
	"type" => "text",
	"std" => ""
),
array( "name" => "نام کاربری Youtube",
	"desc" => "",
	"id" => SHORTNAME."_youtube_username",
	"type" => "text",
	"std" => ""
),
array( "name" => "نام کاربری Vimeo",
	"desc" => "",
	"id" => SHORTNAME."_vimeo_username",
	"type" => "text",
	"std" => ""
),
array( "name" => "نام کاربری Digg",
	"desc" => "",
	"id" => SHORTNAME."_digg_username",
	"type" => "text",
	"std" => ""
),
array( "name" => "نام کاربری Dribbble",
	"desc" => "",
	"id" => SHORTNAME."_dribbble_username",
	"type" => "text",
	"std" => ""
),
array( "name" => "نام کاربری Linkedin",
	"desc" => "",
	"id" => SHORTNAME."_linkedin_username",
	"type" => "text",
	"std" => ""
),
array( "name" => "نام کاربری Tumblr",
	"desc" => "",
	"id" => SHORTNAME."_tumblr_username",
	"type" => "text",
	"std" => ""
),
array( "name" => "نام کاربری Pinterest",
	"desc" => "",
	"id" => SHORTNAME."_pinterest_username",
	"type" => "text",
	"std" => ""
),

array( "type" => "close"),
//End fifth tab "Social Profiles"


//Begin second tab "Sidebar"
array( 
	"name" => "Sidebar",
	"type" => "section",
	"icon" => "application-sidebar-expand.png",
),
array( "type" => "open"),

array( "name" => "افزودن سایدبار جدید",
	"id" => SHORTNAME."_sidebar0",
	"type" => "text",
	"std" => "",
),
array( "type" => "close"),
//End second tab "Sidebar"


//Begin fourth tab "Contact"
array( 
	"name" => "Contact",
	"type" => "section",
	"icon" => "mail-receive.png",	
),
array( "type" => "open"),
	
array( "name" => "ایمیل شما",
	"id" => SHORTNAME."_contact_email",
	"type" => "text",
	"std" => ""
),
array( "name" => "پیام تشکر",
	"id" => SHORTNAME."_contact_thankyou",
	"type" => "text",
	"std" => "از شما متشکریم.بزودی با شما تماس خواهیم گرفت."
),
//End fourth tab "Contact"


//Begin fifth tab "Footer"
array( "type" => "close"),

array( 
	"name" => "Footer",
	"type" => "section",
	"icon" => "layout-select-footer.png",
),
array( "type" => "open"),
	
array( "name" => "متن فوتر",
	"id" => SHORTNAME."_footer_text",
	"type" => "textarea",
	"std" => ""

),
//End fifth tab "Footer"

 
array( "type" => "close")
 
);
?>